include ../components/blocks/test/test.pug

block vars
    - testVar = true

doctype html
html
    head
        link(href="%=static=%css/main%=hash=%%=min=%.css" rel="stylesheet" type="text/css")
        link(rel="shortcut icon" href="favicon.ico")
        script(src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js")

    body(itemscope=itemscope itemtype=itemtype)
        .page
            .section.section_default
                .section__content
                    .section__header
                        .section__title
                            h1 Заголовок
                    .section__body
                        h2.mt_l Протестим цикл из миксина
                        //тут надо както в testArray запихнуть массив данных, пример тестового массива: markup/components/blocks/test/_data.js Если не запихнуть, то не скомпилится.
                        +test-array([
                            {
                                title: 'title1',
                                description: 'description1'
                            },
                            {
                                title: 'title2',
                                description: 'description2'
                            },
                            {
                                title: 'title3',
                                description: 'description3'
                            }
                        ])
                        h2.mt_l Протестим условия
                        if testVar === true
                            .p_m.bg_success результат1
                        else
                            .p_m.bg_fail результат2


